Bug 806514 - SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from read, write access on the chr_file card0.
SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from rea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:68098ad719760eed9fd0731393b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 07:08 EDT by Mikhail
Modified: 2012-04-04 17:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-110.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-04 17:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-03-24 07:08:00 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.i686.PAE
reason:         SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from read, write access on the chr_file card0.
time:           Sat 24 Mar 2012 05:07:49 PM YEKT

description:
:SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from read, write access on the chr_file card0.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gst-plugin-scanner should be allowed read write access on the card0 chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:dri_device_t:s0
:Target Objects                card0 [ chr_file ]
:Source                        gst-plugin-scan
:Source Path                   /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gstreamer-0.10.36-1.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.i686.PAE #1 SMP Mon Mar 19
:                              03:11:34 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sat 24 Mar 2012 05:07:37 PM YEKT
:Last Seen                     Sat 24 Mar 2012 05:07:37 PM YEKT
:Local ID                      f71836cb-0593-42ad-b892-929a12b5d432
:
:Raw Audit Messages
:type=AVC msg=audit(1332587257.275:76): avc:  denied  { read write } for  pid=3725 comm="gst-plugin-scan" name="card0" dev="devtmpfs" ino=7454 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dri_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1332587257.275:76): arch=i386 syscall=open success=no exit=EACCES a0=84d67e8 a1=2 a2=bfef5984 a3=b6a32309 items=0 ppid=3724 pid=3725 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gst-plugin-scan exe=/usr/libexec/gstreamer-0.10/gst-plugin-scanner subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gst-plugin-scan,thumb_t,dri_device_t,chr_file,read,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-03-26 06:55:01 EDT
Does everything work correctly?
Comment 2 Miroslav Grepl 2012-03-27 02:30:31 EDT
We have 

dev_dontaudit_rw_dri(nsplugin_config_t)

I believe we should make this also for thumb.
Comment 3 Fedora Update System 2012-04-03 03:43:56 EDT
selinux-policy-3.10.0-110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-110.fc17
Comment 4 Fedora Update System 2012-04-04 17:10:40 EDT
selinux-policy-3.10.0-110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.